﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using WizardForms;
namespace Wizard
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            WizardController controller = new WizardController();
            controller.AddStep(new StepOne());
            controller.AddStep(new StepTwo());
            controller.AddStep(new StepThree());
            controller.WizardEvent += new WizardDelegate(controller_WizardEvent);
            controller.StartWizard();
            Application.Run();
        }

        static void controller_WizardEvent(object sender, WizardStatusArgs wsa)
        {
            WizardController ctrller = sender as WizardController;
            if (wsa.WizardStatus == Status.Aborted || wsa.WizardStatus == Status.Finished)
                Application.Exit();
        }
    }
}
